Bug 1292261 - epel7 marble has wrongly versioned dependency on kde-runtime
epel7 marble has wrongly versioned dependency on kde-runtime
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: marble (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7aarch64 epel7ppc64le
  Show dependency treegraph
 
Reported: 2015-12-16 15:43 EST by Yaakov Selkowitz
Modified: 2016-01-04 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version: marble-4.10.5-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 18:26:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaakov Selkowitz 2015-12-16 15:43:28 EST
epel7 marble.spec contains:

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

kdelibs was rebased in RHEL 7.2, but kde-runtime was not, causing an unresolvable dependency in the resulting RPM when rebuilt on 7.2, as is currently being done for new EPEL architectures.

Please change this to an unversioned Requires: and update to fix the build on the new arches.
Comment 1 Fedora Update System 2015-12-17 23:00:56 EST
marble-4.10.5-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-09b6ce9c75
Comment 2 Fedora Update System 2015-12-19 20:51:32 EST
marble-4.10.5-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update marble'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-09b6ce9c75
Comment 3 Fedora Update System 2016-01-04 18:26:46 EST
marble-4.10.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.